disp('Reading people.txt..');
%!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
people_col = textread('data\people.txt','%s');
n = size(people_col,1);
disp('Done.');
clear people_col;

disp('Reading social network...');
[wcol1, wcol2, wcol3] = textread('data\socialnet.txt','%f%f%f');
disp('Done.');


nnzidx_cell = cell(1,n);

disp('Sorting index vectors...');
[wcol1,sortidx] = sort(wcol1);
wcol2 = wcol2(sortidx);
[gar,idx] = unique(wcol1);
disp('Done.');

if length(gar) ~= n
    disp('Error!');
    return;
end

for ii= 1:n
    if ii == 1
        nnzidx_cell{ii} = wcol2(1:idx(ii));
    else
        nnzidx_cell{ii} = wcol2((idx(ii-1)+1):idx(ii));
    end
    if mod(ii,100)==0
        disp([num2str(ii),' people done.']);
    end
end

save('data\nnzidx_cell.mat','nnzidx_cell');